﻿using System;

using System.ComponentModel.Composition;
using Microsoft.LightSwitch.Runtime.Shell;

namespace SingleScreen
{
    /// <summary>
    /// The Custom shell.
    /// </summary>
    [Export(typeof(IShell))]
    [Shell(SingleScreenModule.SingleScreenShell.GlobalName)]
    internal class SingleScreenShell : IShell
    {
         public string Name
        {
            get { return SingleScreenModule.SingleScreenShell.GlobalName; }
        }

        public Uri ShellUri
        {
            get { return new Uri(@"/SingleScreen.Client;component/SingleScreenShellPage.xaml", UriKind.Relative); }
        }
    }
}
